# eric3.Wizards.FileDialogWizard.FileDialogWizardDialog

Module implementing the file dialog wizard dialog.

### Classes

FileDialogWizardDialog | Module implementing the color dialog wizard dialog.

### Functions

None

## FileDialogWizardDialog

Module implementing the color dialog wizard dialog.

It displays a dialog for entering the parameters for the QFileDialog code generator.

### Derived from

FileDialogWizardForm

### Methods

FileDialogWizardDialog | Constructor
getCode | Public method to get the source code.
getCode3 | Public method to get the source code for Qt3.
getCode4 | Public method to get the source code for Qt4.
handleToggleConfirmCheckBox | Private slot to enable/disable the confirmation check box.
handleToggleGroupsAndTest | Private slot to enable/disable certain groups and the test button.
testDlg | Private method to test the selected options.

### FileDialogWizardDialog (Constructor)

FileDialogWizardDialog(parent=None)

Constructor

parent
  parent widget (QWidget)

### FileDialogWizardDialog.getCode

getCode(indLevel, indString)

Public method to get the source code.

indLevel
  -- indentation level (int)
indString
  -- string used for indentation (space or tab) (string)

Returns:
  generated code (string)

### FileDialogWizardDialog.getCode3

getCode3(indLevel, indString)

Public method to get the source code for Qt3.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Returns:
  generated code (string)

### FileDialogWizardDialog.getCode4

getCode4(indLevel, indString)

Public method to get the source code for Qt4.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Returns:
  generated code (string)

### FileDialogWizardDialog.handleToggleConfirmCheckBox

handleToggleConfirmCheckBox()

Private slot to enable/disable the confirmation check box.

### FileDialogWizardDialog.handleToggleGroupsAndTest

handleToggleGroupsAndTest()

Private slot to enable/disable certain groups and the test button.

### FileDialogWizardDialog.testDlg

testDlg()

Private method to test the selected options.

Up